列出文档索引和资源变更
接口说明
分页查看知识库的上传索引、文件或目录变更,并可按处理状态筛选。
接口信息
| 字段 | 值 |
|---|---|
| 方法 | GET |
| 路径 | /openapi/v2/knowledge-bases/{knowledgeBaseId}/operations |
| Operation ID | listResourceOperations |
| 鉴权 | Bearer OpenAPI key |
入参
| 名称 | 位置 | 必填 | 类型 | 示例 | 说明 |
|---|---|---|---|---|---|
knowledgeBaseId | path | 是 | string | knowledge-base-11111111-1111-4111-8111-111111111111 | 知识库 API 返回的知识库标识。 |
state | query | 否 | processing | completed | failed | cancelled | superseded | processing | 当前处理状态。 |
limit | query | 否 | integer | 50 | 最多返回的记录数量。部署环境可能采用更低的上限。 |
cursor | query | 否 | string | cursor_123 | 当前接口返回的下一页分页标记。 |
请求体
这个接口没有请求体。
请求示例
bash
curl -X GET "https://openapi.example.com/openapi/v2/knowledge-bases/knowledge-base-11111111-1111-4111-8111-111111111111/operations?limit=50" \
-H "Authorization: Bearer <openapi-key>"成功响应
200
返回上传索引和资源变更记录分页。
| 字段 | 必填 | 类型 | 说明 |
|---|---|---|---|
items | 是 | array<ResourceOperation> | 当前分页中的记录。 |
nextCursor | 是 | string | null | 当前接口返回的分页标记。只能在接口和筛选条件不变时继续使用;被拒绝时请移除 cursor 并从第一页重新读取。 |
成功响应示例
json
{
"items": [
{
"operationId": "source-move-11111111-1111-4111-8111-111111111111",
"knowledgeBaseId": "knowledge-base-11111111-1111-4111-8111-111111111111",
"kind": "source_file_move",
"state": "processing",
"expectedResourceRevision": 1,
"targetKind": "source_file",
"targetId": "source-file-11111111-1111-4111-8111-111111111111",
"candidateRelativePath": "handbook/setup/install.md",
"result": null,
"errorCode": null,
"retryGuidance": "Check this change again after a short delay.",
"actions": {
"self": "/openapi/v2/knowledge-bases/knowledge-base-11111111-1111-4111-8111-111111111111/operations/source-move-11111111-1111-4111-8111-111111111111"
},
"createdAt": "2026-06-17T00:00:00.000Z",
"updatedAt": "2026-06-17T00:00:00.000Z",
"completedAt": null
}
],
"nextCursor": null
}错误码
下表列出这个接口已声明的全部错误响应。
| HTTP 状态 | 错误码 | 说明 |
|---|---|---|
| 401 | UNAUTHORIZED | Bearer API key 缺失、格式错误、未知、已撤销或已删除。 |
| 404 | NOT_FOUND | 请求的资源不存在。 |
| 422 | VALIDATION_ERROR | 请求未通过校验。 |
| 429 | RATE_LIMITED | 请求超过当前配置的速率限制。 |
| 500 | INTERNAL_ERROR | API 遇到内部错误。 |
| 503 | DATABASE_REPOSITORY_UNAVAILABLE | 当前接口所需的数据暂时不可用。 |